searchNodes=[{"ref":"Fixate.html","title":"Fixate","type":"module","doc":"Insert fixtures into your ExUnit context in a clean manner. Usage Start Fixate by adding Fixate.start() to your test/test_helper.exs file. ExUnit.start() Fixate.start() Then inside your test files add use Fixate.Case to allow the fixture attribute. defmodule MyAppTest do use ExUnit.Case use Fixate.Case ... Now you can load fixtures before each test using the @fixture attribute. The attribute takes either a &quot;path&quot; or a key: &quot;path&quot; values. If no key is provided the key will be generated using the base filename before the first dot. The files will be loaded from your priv/fixtures folder. @fixture &quot;text.txt&quot; @fixture named_text: &quot;text.txt&quot; @fixture &quot;subdirectory/subtext.txt&quot; test &quot;reads basic files&quot;, ctx do assert &quot;FILE_BODY&quot; == ctx.text assert ctx.text == ctx.named_text assert &quot;FILE_BODY_IN_SUBFOLDER&quot; == ctx.subtext end Adding parsers for fixtures By default Fixate will simply load the file as a binary. However this is unlikely to be enough for most tests. Instead of Fixate trying to support various file types we give you a simple way to define parsers for files by their &quot;full&quot; extensions. To do this add parsers to your test/test_helper.exs using the Fixate.add_parser/2 command. ExUnit.start() Fixate.start() # This will be used to parse all *.integer.txt files Fixate.add_parser(&quot;integer.txt&quot;, &amp;( String.to_integer(&amp;1) )) # This will be used to parse all *.json files Fixate.add_parser(&quot;json&quot;, &amp;( Jason.decode!(&amp;1) )) # This will be used to parse all *.geojson.json files Fixate.add_parser(&quot;geojson.json&quot;, &amp;( Jason.decode!(&amp;1) |&gt; Geo.JSON.decode! )) And now the parsed values will appear instead of the binary data defmodule MyAppTest do use ExUnit.Case use Fixate.Case @fixture &quot;text.txt&quot; @fixture &quot;text2.txt&quot; test &quot;reads basic files&quot;, ctx do assert &quot;FILE_BODY&quot; == ctx.text assert &quot;OTHER_BODY&quot; == ctx.text end @fixture answer: &quot;answer_to_everything.integer.txt&quot; test &quot;has all the answers&quot;, ctx do assert 42 == ctx.answer end @fixture myhouse: &quot;geo/location.geojson.json&quot; test &quot;locations&quot;, ctx do assert MyApp.get_home == ctx.myhouse end end For more complex parsers create a module, for example in test/support, and reference it. Fixate.add_parser(&quot;complex.xml&quot;, &amp;MyFixtureParser.parse_complex/1)"},{"ref":"Fixate.html#add_parser/2","title":"Fixate.add_parser/2","type":"function","doc":""},{"ref":"Fixate.html#child_spec/1","title":"Fixate.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Fixate.html#parse/2","title":"Fixate.parse/2","type":"function","doc":""},{"ref":"Fixate.html#start/0","title":"Fixate.start/0","type":"function","doc":""},{"ref":"Fixate.html#start_link/1","title":"Fixate.start_link/1","type":"function","doc":""},{"ref":"Fixate.Case.html","title":"Fixate.Case","type":"module","doc":""},{"ref":"Fixate.Case.html#parse/2","title":"Fixate.Case.parse/2","type":"function","doc":""}]